{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Edit Course
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-edit"></i>
                Edit Course
            </h2>
            <ul class="nav navbar-right panel_toolbox">
                <li>

                    <button class="btn1 btn-orange" type="button" data-toggle="modal"
                            data-target="#myModal">
                        Delete Course
                    </button>
                    <form method="POST">{% csrf_token %}
                        <div class="modal" id="myModal" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel1" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title" id="myModalLabel1"><b> Delete Confirmation </b></h4>
                                    </div>
                                    <div class="modal-body">
                                        <h4 align="center" style="word-wrap: break-word"> This will delete your course
                                            <b>{{ course_name }}</b></h4>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                                        </button>
                                        <input type="submit" class="btn1 btn-deep-orange" name="delete"
                                               value="Delete"/>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div>
                <form id="editform" method="POST">{% csrf_token %}
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="form-horizontal form-label-left">
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Research Paper
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input class="form-control" placeholder="Name of the Research Paper" type="text"
                                           id="paper_name" name="paper_name" maxlength="150"
                                           value="{{ course_name }}" required>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Description
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                <textarea name="description" class="form-control" type="text" name="paper_name"
                                          maxlength="1500"
                                          placeholder="(optional)"
                                >{% if description %}{{ description }}{% endif %}</textarea>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Start Date
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input id="datepicker" name="year" value="{{ datestr }}" class="form-control"
                                           type="text" required>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Start Date
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input id="datepicker_end" name="year_end" value="{{ dateendstr }}" class="form-control"
                                           type="text" required>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <button id="up" type="submit" name="update" class="btn1 btn-dark-green">Update
                                        Record
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>


    <script type="text/javascript">

        $(function () {
            $("#datepicker").datepicker({dateFormat: 'dd/mm/yy'});
            $("#datepicker_end").datepicker({dateFormat: 'dd/mm/yy'});
        });

        function isNumberKey(evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode != 46 && charCode > 31
                && (charCode < 48 || charCode > 57))
                return false;

            return true;
        }


        $(document).on("submit", '#editform', function (e) {
            e.preventDefault()
            var paper_name = $('#paper_name').val();
            var chosen_date = $('#datepicker').datepicker('getDate');
            var chosen_end_date = $('#datepicker_end').datepicker('getDate');
            //alert(chosen_date);
            max_date = new Date();
            //alert(max_date);

            if (paper_name.length == 0) {
                alert('Enter proper name');
                return;
            }
            else if (chosen_date > chosen_end_date) {
                alert('End date cannot exceed start date');
                return;
            }
            else if (chosen_date > max_date || chosen_end_date > max_date) {
                alert('Date cannot exceed current date');
                return;
            }

            $('#editform').submit();

        });

    </script>

{% endblock %}